Bug 1314382 - [RFE][Tracker] - replace less efficient tools copy tools used where we have other tools that are better. (xcopy, discard, ddpt, etc.)
[RFE][Tracker] - replace less efficient tools copy tools used where we have o...
Status: CLOSED DEFERRED
Product: vdsm
Classification: oVirt
Component: RFEs (Show other bugs)
---
Unspecified Unspecified
high Severity high (vote)
: ovirt-4.3.0
: ---
Assigned To: bugs@ovirt.org
Raz Tamir
: FutureFeature, Performance, Tracking
Depends On: RHEV_clone_disk_with_xcopy wipe_disk_using_blkdiscard disk_clone_using_sg_dd 1367806 1475780
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-03 08:28 EST by Yaniv Lavi
Modified: 2017-11-26 06:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-11-26 06:30:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ylavi: ovirt‑4.3?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description Yaniv Lavi 2016-03-03 08:28:48 EST
Description of problem:
We currently use dd tool in many places in the code for example WAD, cloning and so on. We want to explore other options that will improve performance.
Comment 1 Yaniv Kaul 2017-06-06 15:01:06 EDT
Didn't we throw 'dd' already and rely only on qemu-img today?
Comment 2 Yaniv Lavi 2017-11-26 06:30:01 EST
We did a lot of work to improve this in other RFEs. This tracker is not relevant anymore. Closing.

Note You need to log in before you can comment on or make changes to this bug.